Vue UI Components Documentation
Vue DropDownList Component
The DropDownList component for Vue contains a list of selectable items displayed in a drop-down.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The DropDownList component for Vue requires the following import:
import JqxDropDownList from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue";
Add the jqxDropDownList component to the components section of the the Vue class:
components: { JqxDropDownList },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxDropDownList/>
<template> <JqxDropDownList :width="200" :height="25" :source="source" :selectedIndex="1"> </JqxDropDownList></template>
Properties
The properties of the <JqxDropDownList/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Café Bombón', 'Café au lait', 'Caffé Corretto', 'Café Crema', 'Caffé Latte', 'Caffé macchiato', 'Café mélange', 'Coffee milk', 'Cafe mocha', 'Cappuccino', 'Carajillo', 'Cortado', 'Cuban espresso', 'Espresso', 'Eiskaffee', 'The Flat White', 'Frappuccino', 'Galao', 'Greek frappé coffee', 'Iced Coffee', 'Indian filter coffee', 'Instant coffee', 'Irish coffee', 'Liqueur coffee' ] }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxDropDownList @select="onSelect($event)" :width="200" :height="25" :source="source" :selectedIndex="1"></JqxDropDownList>
All events that are bound to a component are implemented in the methods
member of the Vue class.
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxDropDownList ref="dropdownlist"></JqxDropDownList>
Here how you can use a component's method:
this.$refs.dropdownlist.close();
methods: { // Add here all used callbacks and/or events onSelect: function () { // Do something... this.$refs.dropdownlist.close(); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:
App.vue:
<template> <JqxDropDownList @select="onSelect($event)" :width="200" :height="25" :source="source" :selectedIndex="1"> </JqxDropDownList></template> <script> // Import the components that will be used import JqxDropDownList from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue"; export default { components: { // Adding imported widgets here JqxDropDownList }, data: function () { // Define properties which will use in the widget return { source: [ 'Affogato', 'Americano', 'Bicerin', 'Breve', 'Café Bombón', 'Café au lait', 'Caffé Corretto', 'Café Crema', 'Caffé Latte', 'Caffé macchiato', 'Café mélange', 'Coffee milk', 'Cafe mocha', 'Cappuccino', 'Carajillo', 'Cortado', 'Cuban espresso', 'Espresso', 'Eiskaffee', 'The Flat White', 'Frappuccino', 'Galao', 'Greek frappé coffee', 'Iced Coffee', 'Indian filter coffee', 'Instant coffee', 'Irish coffee', 'Liqueur coffee' ] } }, beforeCreate: function () { // Add here any data where you want to transform before components be rendered }, methods: { methods: { // Add here all used callbacks and/or events onSelect: function () { // Do something... this.$refs.dropdownlist.close(); } } } }</script> <style></style>
DropDownList Example
<template> <JqxDropDownList :width="280" :height="30" :source="shirts" :selectedIndex="0" :itemHeight="90" :filterable="true" :renderer="renderer" :selectionRenderer="selectionRenderer"> </JqxDropDownList></template> <script> import JqxDropDownList from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownlist.vue"; export default { components: { JqxDropDownList }, data: function () { return { shirts: [ "2 sided dodgers\nbankrupt\nt shirt ash", "black retro\nrock band\nguitar controller", "bright green\ngettin lucky\nin kentucky", "brown loading\nbar computer geek", "cool story bro", "fear the beard", "honey badger\ndon t care", "misfits sf\ngiants white", "scott pilgrim\nred rock\nband" ] } }, beforeCreate: function () { this.shirtFileNames = [ "2-sided-dodgers-bankrupt-t-shirt-ash", "black-retro-rock-band-guitar-controller", "bright-green-gettin-lucky-in-kentucky", "brown-loading-bar-computer-geek", "cool-story-bro", "fear-the-beard", "honey-badger-don-t-care", "misfits-sf-giants-white", "scott-pilgrim-red-rock-band" ]; }, methods: { renderer: function (index, label, value) { let datarecord = this.shirtFileNames[index]; let imgurl = 'images/t-shirts/' + datarecord.toLowerCase() + '.png'; let img = '<img height="70" width="70" src="' + imgurl + '"/>'; let table = '<table style="min-width: 130px;"><tr><td style="width: 80px;">' + img + '</td><td>' + label + '</td></tr></table>'; return table; }, selectionRenderer: function (element, index, label, value) { let text = label.replace(/\n/g, " "); return '<span style="left: 4px; top: 6px; position: relative;">' + text + '</span>'; } } }</script> <style></style>

Angular UI Components Documentation

Angular DropDownList Component

The DropDownList component for Angular contains a list of selectable items displayed in a drop-down.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxDropDownList [theme]="'fluent'" 
    [width]="200" [height]="30" [source]="source" [selectedIndex]="1">
</jqxDropDownList>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxDropDownListModule, jqxDropDownListComponent } from 'jqwidgets-ng/jqxdropdownlist';
@Component({
    selector: 'app-root',
    imports: [jqxDropDownListModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    source: string[] =
        [
            'Affogato',
            'Americano',
            'Bicerin',
            'Breve',
            'Café Bombón',
            'Café au lait',
            'Caffé Corretto',
            'Café Crema',
            'Caffé Latte',
            'Caffé macchiato',
            'Café mélange',
            'Coffee milk',
            'Cafe mocha',
            'Cappuccino',
            'Carajillo',
            'Cortado',
            'Cuban espresso',
            'Espresso',
            'Eiskaffee',
            'The Flat White',
            'Frappuccino',
            'Galao',
            'Greek frappé coffee',
            'Iced Coffee',
            'Indian filter coffee',
            'Instant coffee',
            'Irish coffee',
            'Liqueur coffee'
        ];
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

DropDownList API

API Reference of the jQWidgets DropDownList component for Angular: DropDownList API

React UI Components Documentation
ReactJS DropDownList Component
The DropDownList component for ReactJS contains a list of selectable items displayed in a DropDown.
Prerequisites
Refer to ReactJS Getting Started before you start with this help topic.
Configuration
The DropDownList component for ReactJS requires the following imports.
import React from 'react';import ReactDOM from 'react-dom'; import JqxDropDownList from 'jqwidgets-react/react_jqxdropdownlist.js';
Then we create our component class. Properties and methods are put as ReactJS props.
class App extends React.Component { render () { return ( <JqxDropDownList width={200} height={50} source={source} /> ) }}
Finally we render our class in the desired HTML element:
ReactDOM.render(<App />, document.getElementById('app'));
Events Methods & Properties
In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:
<JqxDropDownList ref='myDropDownList' width={200} height={50}..... />
Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.
class App extends React.Component { componentDidMount() { //your logic } render () { return ( .... ) }};
Events
The open event is triggered when the popup ListBox is opened.
The following example demonstrates how to add an event listener:
componentDidMount (){ this.refs.myDropDownList.on('open', (event) => { //your logic }); }
Methods & Properties
This is how you call methods & props:
//Get Methodslet item = this.refs.myDropDownList.getItem(1); //Set Methodsthis.refs.myDropDownList.setContent('My Content'); //Get Propertieslet height = this.refs.myDropDownList.height(); //Set Propertiesthis.refs.myDropDownList.height(250);
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
this.refs.myDropDownList.setOptions({ filterDelay: 250, width: 110, height: 300})
Every component also have a method getOptions which returns a object containing the component settings.
let options = this.refs.myDropDownList.getOptions();
DropDownList Examples
Overview
The following example demonstrates how to create a DropDownList component.
import React from 'react';import ReactDOM from 'react-dom'; import JqxDropDownList from 'jqwidgets-react/react_jqxdropdownlist.js'; class App extends React.Component { render () { let source = [ "Affogato", "Americano", "Bicerin", "Breve", "Café Crema", "Caffé Latte", "Espresso" ]; return ( <JqxDropDownList width={200} height={50} source={source} /> ) }} ReactDOM.render(<App />, document.getElementById('app'));
Disabled DropDownList
The following example demonstrates how to disable the DropDownList component.